cbonsai(6)

NAME

cbonsai - grow bonsai trees in your terminal

SYNOPSIS

cbonsai [OPTION]...

DESCRIPTION

cbonsai is a beautifully random bonsai tree generator.

OPTIONS

-l, --live
    live mode: show each step of growth

-t, --time=TIME
    in live mode, wait TIME secs between steps of growth (must be larger than 0) [default: 0.03]

-i, --infinite
    infinite mode: keep growing trees

-w, --wait=TIME
    in infinite mode, wait TIME between each tree generation [default: 4.00]

-S, --screensaver
    screensaver mode; equivalent to -liWC and quit on any keypress

-m, --message=STR
    attach message next to the tree

-b, --base=INT
    ascii-art plant base to use, 0 is none

-c, --leaf=LIST
    list of comma-delimited strings randomly chosen for leaves [default: &]

-k, --color=LIST
    list of 4 comma-delimited color indices (0-255) for each of dark leaves, dark wood, light leaves, and light wood, in that order [default: 2,3,10,11]

-M, --multiplier=INT
    branch multiplier; higher -> more branching (0-20) [default: 5]

-L, --life=INT
    life; higher -> more growth (0-200) [default: 32]

-p, --print
    print tree to terminal when finished

-s, --seed=INT
    seed random number generator

-W, --save=FILE
    save progress to file [default: ~/.cache/cbonsai]

-C, --load=FILE
    load progress from file [default: ~/.cache/cbonsai]

-v, --verbose
    increase output verbosity

-h, --help
    show help

AUTHORS

Maintained by John Allbritten <me@johnallbritten.com>, who is assisted by other open source contributors. For more information about cbonsai development, see <https://gitlab.com/jallbrit/cbonsai>.